Subject: Re: RESOURCES: Community Gardens/Comfrey

From: FEENEY <[email-masked]>
Date: Sat, 26 Nov 1994 08:16:07 -0800

There is a national organization that offers help in setting up and 
"maintaining" community gardens:
American Community Gardening Assoc.
325 Walnut Street
Philadelphia, PA  19106

As to sources of plants/seeds of comfrey:
Chiltern Seeds
Bortree Stile
Ulverston, Cumbria, England LA12 7PB,  Catalog $4 (I don't know cost in 
pounds)
They offer such a remarkable seed list I am always hopeless for at least 
the first three days after getting it in the mail as I pour through their 
tempting selections!!  Under comfrey I find Symphytum x officinale the 
more common comfrey noted for its medicinal characteristics, but also 
"Russian Comfrey", Symphytum uplandicum, "a naturally occurring, vigorous 
hybrid from the Caucasus and is used for the production of leaves which, 
with their high potash content, are themselves used as a fertilizer for 
tomatoes and potatoes.  4', HP.
As an aside I will say that if you have not grown this thug, it is a real 
beast--big, bold, and once you have it you have it for life!  I got mine 
my first year gardening at a plant sale when someone appealed to my lust 
for something that would get big fast!  I have gone through the agony of 
trying to eliminate it from the garden (now in many places), but have 
given up.  In the meantime as I have grown more knowledgeable I have 
learned to love this plant:  it is visually very stunning, and when it 
becomes a bit overgrown I whack it to the ground (sort of mid-season), 
and enjoy the addition of a high nitrogen, quickly broken down leaf in 
the compost bin, and the new growth comes on quickly in a neat and tidy 
fresh plant.  I find it tough as nails, so perhaps to corral it in a 
container would be a good means of control.
Hope this helps, 
Stephanie Feeney
The Northwest Gardeners' Resource Directory
[email-masked]